Bug 864715 - RFE: Jscv commands
RFE: Jscv commands
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: doc-Installation-Guide (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ER04
: 2.1.0
Assigned To: Mandar Joshi
Libor Fuka
:
Depends On: 1115525
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 20:14 EDT by Misha H. Ali
Modified: 2015-08-31 22:58 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-21 04:43:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misha H. Ali 2012-10-09 20:14:33 EDT
> It would be great if there were a sample of jsvc command for tomcat6
> smth. like.
> I suggest consult it with developers, for instance Mladen Turk (mturk)
> {code}
> /opt/jboss-ews-2.0/sbin/jsvc 
> -cp /opt/jboss-ews-2.0/share/tomcat6/bin/bootstrap.jar  
> -outfile /opt/jboss-ews-2.0/share/tomcat6/logs/catalina.out 
> -errfile /opt/jboss-ews-2.0/share/tomcat6/logs/catalina.err 
> -pidfile /opt/jboss-ews-2.0/share/tomcat6/tomcat6.pid   
> -user tomcat  
> -Dcatalina.home=/opt/jboss-ews-2.0/share/tomcat6 
> -Djava.io.tmpdir=/opt/jboss-ews-2.0/share/tomcat6/temp 
> -jvm server org.apache.catalina.startup.Bootstrap
> {code}

Origin: https://bugzilla.redhat.com/show_bug.cgi?id=850777
Comment 1 Misha H. Ali 2012-10-09 20:15:52 EDT
This RFE is proposed as useful additional information for this guide for 2.0.0++.
Comment 2 Mandar Joshi 2013-05-29 07:41:11 EDT
Hi  Mladen, can you provide sample of jsvc command for tomcat as suggested by Misha?
Comment 3 Misha H. Ali 2013-05-31 01:22:02 EDT
No information on this yet. This bug is deferred for a later release due to the June-4 docs freeze date and no information as of May-31.
Comment 12 Libor Fuka 2014-06-09 07:32:54 EDT
Chapter 10.3.1 is not correct - daemon.sh in T6.0.41 exists.
10.2.2 - --jvm this param does not exists. there is --service-start-wait-time
10.1 about Jsvc - jsvc is mainly for running Tomcat as background job. This should be more specified by Mladen or JFC.
Comment 18 Libor Fuka 2014-07-01 02:58:50 EDT
comm#12 not fixed
Comment 19 Libor Fuka 2014-07-01 03:11:22 EDT
HTTP Connectors Load Balancing Guide:
======================================
10.3.1 - daemon.sh exists in tomcat6/bin but there is no jsvc binary in tomcat6/bin. 
Are there any reason why we don't have jsvc binary in tomcat6/bin Jean-Frederic, Mladen or David? We have it in tomcat7/bin. 

10.2.2 - --jvm this param does not exists. there is --service-start-wait-time

10.1 about Jsvc - jsvc is mainly for running Tomcat as background job.
Comment 20 Libor Fuka 2014-07-02 10:16:40 EDT
We have Tomcat6 jsvc documented and for Tomcat7 we have documented using daemon.sh.
This bug depeneds on BZ 1115525 -  jsvc in different directories
First of all we need to unified storing and using jsvc binary across tomcat versions and ews platforms.
Comment 21 Weinan Li 2014-07-17 05:30:26 EDT
jsvc RHEL locations:

jboss-ews-2.1/extras/jsvc
jboss-ews-2.1/tomcat6/bin/jsvc
jboss-ews-2.1/tomcat7/bin/jsvc

Please note the 'jsvc' in tomcat6 and tomcat7 folders are symlinks to 'extra/jsvc'. And it's linked like this:

./jboss-ews-2.1/tomcat6/bin/jsvc -> ../../extras/jsvc
./jboss-ews-2.1/tomcat7/bin/jsvc -> ../../extras/jsvc

---

jsvc Solaris locations:

./jboss-ews-2.1/sbin/jsvc
./jboss-ews-2.1/share/apache-tomcat-6.0.41/bin/jsvc
./jboss-ews-2.1/share/apache-tomcat-7.0.54/bin/jsvc

Please note the 'jsvc' in apache-tomcat-6.0.41 and apache-tomcat-7.0.54 are symlinks to 'sbin/jsvc'. And it's linked like this:

./jboss-ews-2.1/share/apache-tomcat-7.0.54/bin/jsvc -> ../../../sbin/jsvc
./jboss-ews-2.1/share/apache-tomcat-6.0.41/bin/jsvc -> ../../../sbin/jsvc
Comment 22 Weinan Li 2014-07-17 05:50:22 EDT
(In reply to Libor Fuka from comment #19)
> HTTP Connectors Load Balancing Guide:
> ======================================
> 10.3.1 - daemon.sh exists in tomcat6/bin but there is no jsvc binary in
> tomcat6/bin. 
> Are there any reason why we don't have jsvc binary in tomcat6/bin
> Jean-Frederic, Mladen or David? We have it in tomcat7/bin. 
> 
> 10.2.2 - --jvm this param does not exists. there is --service-start-wait-time
> 
> 10.1 about Jsvc - jsvc is mainly for running Tomcat as background job.


I can find these options in daemon.sh:

  case "$1" in
    --java-home )
        JAVA_HOME="$2"
        shift; shift;
        continue
    ;;
    --catalina-home )
        CATALINA_HOME="$2"
        shift; shift;
        continue
    ;;
    --catalina-base )
        CATALINA_BASE="$2"
        shift; shift;
        continue
    ;;
    --catalina-pid )
        CATALINA_PID="$2"
        shift; shift;
        continue
    ;;
    --tomcat-user )
        TOMCAT_USER="$2"
        shift; shift;
        continue
    ;;
    --service-start-wait-time )
        SERVICE_START_WAIT_TIME="$2"
        shift; shift;
        continue
    ;;
    * )
        break
    ;;
  esac

the '--service-start-wait-time' is a wrapper for '-wait' option in jsvc:

# Set the default service-start wait time if necessary
test ".$SERVICE_START_WAIT_TIME" = . && SERVICE_START_WAIT_TIME=10
...
case "$1" in
    run     )
      shift
      "$JSVC" $* \
      $JSVC_OPTS \
      -java-home "$JAVA_HOME" \
      -pidfile "$CATALINA_PID" \
      -wait "$SERVICE_START_WAIT_TIME" \
...

I've found the jsvc doc here and it contains the meaning of '-wait' option: http://commons.apache.org/proper/commons-daemon/jsvc.html

 -wait <waittime>
        wait waittime seconds for the service to start
        waittime should multiple of 10 (min=10)
Comment 24 Libor Fuka 2014-07-21 08:50:17 EDT
Use Jsvc with Tomcat 6 - Its the same like for Tomcat7...you can write only 11.2.2. Configure Jsvc with Tomcat 6 and 7.....and delete chapter 11.3.1
Comment 26 Libor Fuka 2014-07-21 09:34:29 EDT
VERIFIED #23, #25
Comment 27 Misha H. Ali 2014-08-21 04:43:21 EDT
Now available on the customer portal:

https://access.redhat.com/documentation/en-US/JBoss_Enterprise_Web_Server/2.1/

Note You need to log in before you can comment on or make changes to this bug.